Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.media.dom.client
Class MediaError

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.media.dom.client.MediaError

    public final class MediaError

extends JavaScriptObject

A `JavaScriptObject` indicating the type of error encountered by a `MediaElement`.

Experimental API: This API is still under development and is subject to change.

See Also:
  `MediaElement.getError()`

Field Summary
`static int` | `MEDIA_ERR_ABORTED` A constant returned by `getCode()` indicating that playback was aborted at the user's request.
`static int` | `MEDIA_ERR_DECODE` A constant returned by `getCode()` indicating that playback was aborted due to an error in decoding.
`static int` | `MEDIA_ERR_NETWORK` A constant returned by `getCode()` indicating that playback was aborted due to a network error.
`static int` | `MEDIA_ERR_SRC_NOT_SUPPORTED` A constant returned by `getCode()` indicating that the format of the source stream was unsuitable for playback.

Constructor Summary
`protected` | `MediaError()`

Method Summary
`int` | `getCode()` Returns an error code indicating the reason for the error.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MEDIA_ERR_ABORTED

    public static final int MEDIA_ERR_ABORTED

  A constant returned by `getCode()` indicating that playback was aborted at the user's request.

  See Also:
    Constant Field Values

### MEDIA_ERR_NETWORK

    public static final int MEDIA_ERR_NETWORK

  A constant returned by `getCode()` indicating that playback was aborted due to a network error.

  See Also:
    Constant Field Values

### MEDIA_ERR_DECODE

    public static final int MEDIA_ERR_DECODE

  A constant returned by `getCode()` indicating that playback was aborted due to an error in decoding.

  See Also:
    Constant Field Values

### MEDIA_ERR_SRC_NOT_SUPPORTED

    public static final int MEDIA_ERR_SRC_NOT_SUPPORTED

  A constant returned by `getCode()` indicating that the format of the source stream was unsuitable for playback.

  See Also:
    Constant Field Values

Constructor Detail

### MediaError

    protected MediaError()

Method Detail

### getCode

    public int getCode()

  Returns an error code indicating the reason for the error.

  Returns:
    one of `MEDIA_ERR_ABORTED`, `MEDIA_ERR_NETWORK`, `MEDIA_ERR_DECODE`, or `MEDIA_ERR_SRC_NOT_SUPPORTED`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD